Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network0.87.128.0/17
Usable hosts32,766
Subnet mask255.255.128.0
Addresses32,768
Network address
0.87.128.0
Broadcast address
0.87.255.255
First usable
0.87.128.1
Last usable
0.87.255.254
Usable hosts
32,766 (32,768 less the network and broadcast addresses)
Subnet mask
255.255.128.0
Wildcard mask
0.0.127.255 (Cisco ACLs, OSPF)
Prefix length
/17
Type
This network 0.0.0.0/8
Not routed; 0.0.0.0 means "any address" in settings
Old class
A (default /8)
As numbers
Hex 00578000 · Integer 5734400 to 5767167
Reverse DNS zones
128.87.0.in-addr.arpa
129.87.0.in-addr.arpa
130.87.0.in-addr.arpa
131.87.0.in-addr.arpa
132.87.0.in-addr.arpa
133.87.0.in-addr.arpa
134.87.0.in-addr.arpa
135.87.0.in-addr.arpa
136.87.0.in-addr.arpa
137.87.0.in-addr.arpa
138.87.0.in-addr.arpa
139.87.0.in-addr.arpa
140.87.0.in-addr.arpa
141.87.0.in-addr.arpa
142.87.0.in-addr.arpa
143.87.0.in-addr.arpa
and 112 more
/17 is not on a 8-bit boundary, so it takes 128 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00000000.01010111.10000000.000000000.87.128.0
Subnet mask11111111.11111111.10000000.00000000255.255.128.0
Network00000000.01010111.10000000.000000000.87.128.0
Broadcast00000000.01010111.11111111.111111110.87.255.255
Split into smaller subnets/25

0.87.128.0/17 makes 256 subnets of /25.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
10.87.128.0/250.87.128.1 to 0.87.128.1260.87.128.127126
20.87.128.128/250.87.128.129 to 0.87.128.2540.87.128.255126
30.87.129.0/250.87.129.1 to 0.87.129.1260.87.129.127126
40.87.129.128/250.87.129.129 to 0.87.129.2540.87.129.255126
50.87.130.0/250.87.130.1 to 0.87.130.1260.87.130.127126
60.87.130.128/250.87.130.129 to 0.87.130.2540.87.130.255126
70.87.131.0/250.87.131.1 to 0.87.131.1260.87.131.127126
80.87.131.128/250.87.131.129 to 0.87.131.2540.87.131.255126
90.87.132.0/250.87.132.1 to 0.87.132.1260.87.132.127126
100.87.132.128/250.87.132.129 to 0.87.132.2540.87.132.255126
110.87.133.0/250.87.133.1 to 0.87.133.1260.87.133.127126
120.87.133.128/250.87.133.129 to 0.87.133.2540.87.133.255126
130.87.134.0/250.87.134.1 to 0.87.134.1260.87.134.127126
140.87.134.128/250.87.134.129 to 0.87.134.2540.87.134.255126
150.87.135.0/250.87.135.1 to 0.87.135.1260.87.135.127126
160.87.135.128/250.87.135.129 to 0.87.135.2540.87.135.255126
170.87.136.0/250.87.136.1 to 0.87.136.1260.87.136.127126
180.87.136.128/250.87.136.129 to 0.87.136.2540.87.136.255126
190.87.137.0/250.87.137.1 to 0.87.137.1260.87.137.127126
200.87.137.128/250.87.137.129 to 0.87.137.2540.87.137.255126
210.87.138.0/250.87.138.1 to 0.87.138.1260.87.138.127126
220.87.138.128/250.87.138.129 to 0.87.138.2540.87.138.255126
230.87.139.0/250.87.139.1 to 0.87.139.1260.87.139.127126
240.87.139.128/250.87.139.129 to 0.87.139.2540.87.139.255126
250.87.140.0/250.87.140.1 to 0.87.140.1260.87.140.127126
260.87.140.128/250.87.140.129 to 0.87.140.2540.87.140.255126
270.87.141.0/250.87.141.1 to 0.87.141.1260.87.141.127126
280.87.141.128/250.87.141.129 to 0.87.141.2540.87.141.255126
290.87.142.0/250.87.142.1 to 0.87.142.1260.87.142.127126
300.87.142.128/250.87.142.129 to 0.87.142.2540.87.142.255126
310.87.143.0/250.87.143.1 to 0.87.143.1260.87.143.127126
320.87.143.128/250.87.143.129 to 0.87.143.2540.87.143.255126
330.87.144.0/250.87.144.1 to 0.87.144.1260.87.144.127126
340.87.144.128/250.87.144.129 to 0.87.144.2540.87.144.255126
350.87.145.0/250.87.145.1 to 0.87.145.1260.87.145.127126
360.87.145.128/250.87.145.129 to 0.87.145.2540.87.145.255126
370.87.146.0/250.87.146.1 to 0.87.146.1260.87.146.127126
380.87.146.128/250.87.146.129 to 0.87.146.2540.87.146.255126
390.87.147.0/250.87.147.1 to 0.87.147.1260.87.147.127126
400.87.147.128/250.87.147.129 to 0.87.147.2540.87.147.255126
410.87.148.0/250.87.148.1 to 0.87.148.1260.87.148.127126
420.87.148.128/250.87.148.129 to 0.87.148.2540.87.148.255126
430.87.149.0/250.87.149.1 to 0.87.149.1260.87.149.127126
440.87.149.128/250.87.149.129 to 0.87.149.2540.87.149.255126
450.87.150.0/250.87.150.1 to 0.87.150.1260.87.150.127126
460.87.150.128/250.87.150.129 to 0.87.150.2540.87.150.255126
470.87.151.0/250.87.151.1 to 0.87.151.1260.87.151.127126
480.87.151.128/250.87.151.129 to 0.87.151.2540.87.151.255126
490.87.152.0/250.87.152.1 to 0.87.152.1260.87.152.127126
500.87.152.128/250.87.152.129 to 0.87.152.2540.87.152.255126
510.87.153.0/250.87.153.1 to 0.87.153.1260.87.153.127126
520.87.153.128/250.87.153.129 to 0.87.153.2540.87.153.255126
530.87.154.0/250.87.154.1 to 0.87.154.1260.87.154.127126
540.87.154.128/250.87.154.129 to 0.87.154.2540.87.154.255126
550.87.155.0/250.87.155.1 to 0.87.155.1260.87.155.127126
560.87.155.128/250.87.155.129 to 0.87.155.2540.87.155.255126
570.87.156.0/250.87.156.1 to 0.87.156.1260.87.156.127126
580.87.156.128/250.87.156.129 to 0.87.156.2540.87.156.255126
590.87.157.0/250.87.157.1 to 0.87.157.1260.87.157.127126
600.87.157.128/250.87.157.129 to 0.87.157.2540.87.157.255126
610.87.158.0/250.87.158.1 to 0.87.158.1260.87.158.127126
620.87.158.128/250.87.158.129 to 0.87.158.2540.87.158.255126
630.87.159.0/250.87.159.1 to 0.87.159.1260.87.159.127126
640.87.159.128/250.87.159.129 to 0.87.159.2540.87.159.255126
650.87.160.0/250.87.160.1 to 0.87.160.1260.87.160.127126
660.87.160.128/250.87.160.129 to 0.87.160.2540.87.160.255126
670.87.161.0/250.87.161.1 to 0.87.161.1260.87.161.127126
680.87.161.128/250.87.161.129 to 0.87.161.2540.87.161.255126
690.87.162.0/250.87.162.1 to 0.87.162.1260.87.162.127126
700.87.162.128/250.87.162.129 to 0.87.162.2540.87.162.255126
710.87.163.0/250.87.163.1 to 0.87.163.1260.87.163.127126
720.87.163.128/250.87.163.129 to 0.87.163.2540.87.163.255126
730.87.164.0/250.87.164.1 to 0.87.164.1260.87.164.127126
740.87.164.128/250.87.164.129 to 0.87.164.2540.87.164.255126
750.87.165.0/250.87.165.1 to 0.87.165.1260.87.165.127126
760.87.165.128/250.87.165.129 to 0.87.165.2540.87.165.255126
770.87.166.0/250.87.166.1 to 0.87.166.1260.87.166.127126
780.87.166.128/250.87.166.129 to 0.87.166.2540.87.166.255126
790.87.167.0/250.87.167.1 to 0.87.167.1260.87.167.127126
800.87.167.128/250.87.167.129 to 0.87.167.2540.87.167.255126
810.87.168.0/250.87.168.1 to 0.87.168.1260.87.168.127126
820.87.168.128/250.87.168.129 to 0.87.168.2540.87.168.255126
830.87.169.0/250.87.169.1 to 0.87.169.1260.87.169.127126
840.87.169.128/250.87.169.129 to 0.87.169.2540.87.169.255126
850.87.170.0/250.87.170.1 to 0.87.170.1260.87.170.127126
860.87.170.128/250.87.170.129 to 0.87.170.2540.87.170.255126
870.87.171.0/250.87.171.1 to 0.87.171.1260.87.171.127126
880.87.171.128/250.87.171.129 to 0.87.171.2540.87.171.255126
890.87.172.0/250.87.172.1 to 0.87.172.1260.87.172.127126
900.87.172.128/250.87.172.129 to 0.87.172.2540.87.172.255126
910.87.173.0/250.87.173.1 to 0.87.173.1260.87.173.127126
920.87.173.128/250.87.173.129 to 0.87.173.2540.87.173.255126
930.87.174.0/250.87.174.1 to 0.87.174.1260.87.174.127126
940.87.174.128/250.87.174.129 to 0.87.174.2540.87.174.255126
950.87.175.0/250.87.175.1 to 0.87.175.1260.87.175.127126
960.87.175.128/250.87.175.129 to 0.87.175.2540.87.175.255126
970.87.176.0/250.87.176.1 to 0.87.176.1260.87.176.127126
980.87.176.128/250.87.176.129 to 0.87.176.2540.87.176.255126
990.87.177.0/250.87.177.1 to 0.87.177.1260.87.177.127126
1000.87.177.128/250.87.177.129 to 0.87.177.2540.87.177.255126
1010.87.178.0/250.87.178.1 to 0.87.178.1260.87.178.127126
1020.87.178.128/250.87.178.129 to 0.87.178.2540.87.178.255126
1030.87.179.0/250.87.179.1 to 0.87.179.1260.87.179.127126
1040.87.179.128/250.87.179.129 to 0.87.179.2540.87.179.255126
1050.87.180.0/250.87.180.1 to 0.87.180.1260.87.180.127126
1060.87.180.128/250.87.180.129 to 0.87.180.2540.87.180.255126
1070.87.181.0/250.87.181.1 to 0.87.181.1260.87.181.127126
1080.87.181.128/250.87.181.129 to 0.87.181.2540.87.181.255126
1090.87.182.0/250.87.182.1 to 0.87.182.1260.87.182.127126
1100.87.182.128/250.87.182.129 to 0.87.182.2540.87.182.255126
1110.87.183.0/250.87.183.1 to 0.87.183.1260.87.183.127126
1120.87.183.128/250.87.183.129 to 0.87.183.2540.87.183.255126
1130.87.184.0/250.87.184.1 to 0.87.184.1260.87.184.127126
1140.87.184.128/250.87.184.129 to 0.87.184.2540.87.184.255126
1150.87.185.0/250.87.185.1 to 0.87.185.1260.87.185.127126
1160.87.185.128/250.87.185.129 to 0.87.185.2540.87.185.255126
1170.87.186.0/250.87.186.1 to 0.87.186.1260.87.186.127126
1180.87.186.128/250.87.186.129 to 0.87.186.2540.87.186.255126
1190.87.187.0/250.87.187.1 to 0.87.187.1260.87.187.127126
1200.87.187.128/250.87.187.129 to 0.87.187.2540.87.187.255126
1210.87.188.0/250.87.188.1 to 0.87.188.1260.87.188.127126
1220.87.188.128/250.87.188.129 to 0.87.188.2540.87.188.255126
1230.87.189.0/250.87.189.1 to 0.87.189.1260.87.189.127126
1240.87.189.128/250.87.189.129 to 0.87.189.2540.87.189.255126
1250.87.190.0/250.87.190.1 to 0.87.190.1260.87.190.127126
1260.87.190.128/250.87.190.129 to 0.87.190.2540.87.190.255126
1270.87.191.0/250.87.191.1 to 0.87.191.1260.87.191.127126
1280.87.191.128/250.87.191.129 to 0.87.191.2540.87.191.255126
1290.87.192.0/250.87.192.1 to 0.87.192.1260.87.192.127126
1300.87.192.128/250.87.192.129 to 0.87.192.2540.87.192.255126
1310.87.193.0/250.87.193.1 to 0.87.193.1260.87.193.127126
1320.87.193.128/250.87.193.129 to 0.87.193.2540.87.193.255126
1330.87.194.0/250.87.194.1 to 0.87.194.1260.87.194.127126
1340.87.194.128/250.87.194.129 to 0.87.194.2540.87.194.255126
1350.87.195.0/250.87.195.1 to 0.87.195.1260.87.195.127126
1360.87.195.128/250.87.195.129 to 0.87.195.2540.87.195.255126
1370.87.196.0/250.87.196.1 to 0.87.196.1260.87.196.127126
1380.87.196.128/250.87.196.129 to 0.87.196.2540.87.196.255126
1390.87.197.0/250.87.197.1 to 0.87.197.1260.87.197.127126
1400.87.197.128/250.87.197.129 to 0.87.197.2540.87.197.255126
1410.87.198.0/250.87.198.1 to 0.87.198.1260.87.198.127126
1420.87.198.128/250.87.198.129 to 0.87.198.2540.87.198.255126
1430.87.199.0/250.87.199.1 to 0.87.199.1260.87.199.127126
1440.87.199.128/250.87.199.129 to 0.87.199.2540.87.199.255126
1450.87.200.0/250.87.200.1 to 0.87.200.1260.87.200.127126
1460.87.200.128/250.87.200.129 to 0.87.200.2540.87.200.255126
1470.87.201.0/250.87.201.1 to 0.87.201.1260.87.201.127126
1480.87.201.128/250.87.201.129 to 0.87.201.2540.87.201.255126
1490.87.202.0/250.87.202.1 to 0.87.202.1260.87.202.127126
1500.87.202.128/250.87.202.129 to 0.87.202.2540.87.202.255126
1510.87.203.0/250.87.203.1 to 0.87.203.1260.87.203.127126
1520.87.203.128/250.87.203.129 to 0.87.203.2540.87.203.255126
1530.87.204.0/250.87.204.1 to 0.87.204.1260.87.204.127126
1540.87.204.128/250.87.204.129 to 0.87.204.2540.87.204.255126
1550.87.205.0/250.87.205.1 to 0.87.205.1260.87.205.127126
1560.87.205.128/250.87.205.129 to 0.87.205.2540.87.205.255126
1570.87.206.0/250.87.206.1 to 0.87.206.1260.87.206.127126
1580.87.206.128/250.87.206.129 to 0.87.206.2540.87.206.255126
1590.87.207.0/250.87.207.1 to 0.87.207.1260.87.207.127126
1600.87.207.128/250.87.207.129 to 0.87.207.2540.87.207.255126
1610.87.208.0/250.87.208.1 to 0.87.208.1260.87.208.127126
1620.87.208.128/250.87.208.129 to 0.87.208.2540.87.208.255126
1630.87.209.0/250.87.209.1 to 0.87.209.1260.87.209.127126
1640.87.209.128/250.87.209.129 to 0.87.209.2540.87.209.255126
1650.87.210.0/250.87.210.1 to 0.87.210.1260.87.210.127126
1660.87.210.128/250.87.210.129 to 0.87.210.2540.87.210.255126
1670.87.211.0/250.87.211.1 to 0.87.211.1260.87.211.127126
1680.87.211.128/250.87.211.129 to 0.87.211.2540.87.211.255126
1690.87.212.0/250.87.212.1 to 0.87.212.1260.87.212.127126
1700.87.212.128/250.87.212.129 to 0.87.212.2540.87.212.255126
1710.87.213.0/250.87.213.1 to 0.87.213.1260.87.213.127126
1720.87.213.128/250.87.213.129 to 0.87.213.2540.87.213.255126
1730.87.214.0/250.87.214.1 to 0.87.214.1260.87.214.127126
1740.87.214.128/250.87.214.129 to 0.87.214.2540.87.214.255126
1750.87.215.0/250.87.215.1 to 0.87.215.1260.87.215.127126
1760.87.215.128/250.87.215.129 to 0.87.215.2540.87.215.255126
1770.87.216.0/250.87.216.1 to 0.87.216.1260.87.216.127126
1780.87.216.128/250.87.216.129 to 0.87.216.2540.87.216.255126
1790.87.217.0/250.87.217.1 to 0.87.217.1260.87.217.127126
1800.87.217.128/250.87.217.129 to 0.87.217.2540.87.217.255126
1810.87.218.0/250.87.218.1 to 0.87.218.1260.87.218.127126
1820.87.218.128/250.87.218.129 to 0.87.218.2540.87.218.255126
1830.87.219.0/250.87.219.1 to 0.87.219.1260.87.219.127126
1840.87.219.128/250.87.219.129 to 0.87.219.2540.87.219.255126
1850.87.220.0/250.87.220.1 to 0.87.220.1260.87.220.127126
1860.87.220.128/250.87.220.129 to 0.87.220.2540.87.220.255126
1870.87.221.0/250.87.221.1 to 0.87.221.1260.87.221.127126
1880.87.221.128/250.87.221.129 to 0.87.221.2540.87.221.255126
1890.87.222.0/250.87.222.1 to 0.87.222.1260.87.222.127126
1900.87.222.128/250.87.222.129 to 0.87.222.2540.87.222.255126
1910.87.223.0/250.87.223.1 to 0.87.223.1260.87.223.127126
1920.87.223.128/250.87.223.129 to 0.87.223.2540.87.223.255126
1930.87.224.0/250.87.224.1 to 0.87.224.1260.87.224.127126
1940.87.224.128/250.87.224.129 to 0.87.224.2540.87.224.255126
1950.87.225.0/250.87.225.1 to 0.87.225.1260.87.225.127126
1960.87.225.128/250.87.225.129 to 0.87.225.2540.87.225.255126
1970.87.226.0/250.87.226.1 to 0.87.226.1260.87.226.127126
1980.87.226.128/250.87.226.129 to 0.87.226.2540.87.226.255126
1990.87.227.0/250.87.227.1 to 0.87.227.1260.87.227.127126
2000.87.227.128/250.87.227.129 to 0.87.227.2540.87.227.255126
2010.87.228.0/250.87.228.1 to 0.87.228.1260.87.228.127126
2020.87.228.128/250.87.228.129 to 0.87.228.2540.87.228.255126
2030.87.229.0/250.87.229.1 to 0.87.229.1260.87.229.127126
2040.87.229.128/250.87.229.129 to 0.87.229.2540.87.229.255126
2050.87.230.0/250.87.230.1 to 0.87.230.1260.87.230.127126
2060.87.230.128/250.87.230.129 to 0.87.230.2540.87.230.255126
2070.87.231.0/250.87.231.1 to 0.87.231.1260.87.231.127126
2080.87.231.128/250.87.231.129 to 0.87.231.2540.87.231.255126
2090.87.232.0/250.87.232.1 to 0.87.232.1260.87.232.127126
2100.87.232.128/250.87.232.129 to 0.87.232.2540.87.232.255126
2110.87.233.0/250.87.233.1 to 0.87.233.1260.87.233.127126
2120.87.233.128/250.87.233.129 to 0.87.233.2540.87.233.255126
2130.87.234.0/250.87.234.1 to 0.87.234.1260.87.234.127126
2140.87.234.128/250.87.234.129 to 0.87.234.2540.87.234.255126
2150.87.235.0/250.87.235.1 to 0.87.235.1260.87.235.127126
2160.87.235.128/250.87.235.129 to 0.87.235.2540.87.235.255126
2170.87.236.0/250.87.236.1 to 0.87.236.1260.87.236.127126
2180.87.236.128/250.87.236.129 to 0.87.236.2540.87.236.255126
2190.87.237.0/250.87.237.1 to 0.87.237.1260.87.237.127126
2200.87.237.128/250.87.237.129 to 0.87.237.2540.87.237.255126
2210.87.238.0/250.87.238.1 to 0.87.238.1260.87.238.127126
2220.87.238.128/250.87.238.129 to 0.87.238.2540.87.238.255126
2230.87.239.0/250.87.239.1 to 0.87.239.1260.87.239.127126
2240.87.239.128/250.87.239.129 to 0.87.239.2540.87.239.255126
2250.87.240.0/250.87.240.1 to 0.87.240.1260.87.240.127126
2260.87.240.128/250.87.240.129 to 0.87.240.2540.87.240.255126
2270.87.241.0/250.87.241.1 to 0.87.241.1260.87.241.127126
2280.87.241.128/250.87.241.129 to 0.87.241.2540.87.241.255126
2290.87.242.0/250.87.242.1 to 0.87.242.1260.87.242.127126
2300.87.242.128/250.87.242.129 to 0.87.242.2540.87.242.255126
2310.87.243.0/250.87.243.1 to 0.87.243.1260.87.243.127126
2320.87.243.128/250.87.243.129 to 0.87.243.2540.87.243.255126
2330.87.244.0/250.87.244.1 to 0.87.244.1260.87.244.127126
2340.87.244.128/250.87.244.129 to 0.87.244.2540.87.244.255126
2350.87.245.0/250.87.245.1 to 0.87.245.1260.87.245.127126
2360.87.245.128/250.87.245.129 to 0.87.245.2540.87.245.255126
2370.87.246.0/250.87.246.1 to 0.87.246.1260.87.246.127126
2380.87.246.128/250.87.246.129 to 0.87.246.2540.87.246.255126
2390.87.247.0/250.87.247.1 to 0.87.247.1260.87.247.127126
2400.87.247.128/250.87.247.129 to 0.87.247.2540.87.247.255126
2410.87.248.0/250.87.248.1 to 0.87.248.1260.87.248.127126
2420.87.248.128/250.87.248.129 to 0.87.248.2540.87.248.255126
2430.87.249.0/250.87.249.1 to 0.87.249.1260.87.249.127126
2440.87.249.128/250.87.249.129 to 0.87.249.2540.87.249.255126
2450.87.250.0/250.87.250.1 to 0.87.250.1260.87.250.127126
2460.87.250.128/250.87.250.129 to 0.87.250.2540.87.250.255126
2470.87.251.0/250.87.251.1 to 0.87.251.1260.87.251.127126
2480.87.251.128/250.87.251.129 to 0.87.251.2540.87.251.255126
2490.87.252.0/250.87.252.1 to 0.87.252.1260.87.252.127126
2500.87.252.128/250.87.252.129 to 0.87.252.2540.87.252.255126
2510.87.253.0/250.87.253.1 to 0.87.253.1260.87.253.127126
2520.87.253.128/250.87.253.129 to 0.87.253.2540.87.253.255126
2530.87.254.0/250.87.254.1 to 0.87.254.1260.87.254.127126
2540.87.254.128/250.87.254.129 to 0.87.254.2540.87.254.255126
2550.87.255.0/250.87.255.1 to 0.87.255.1260.87.255.127126
2560.87.255.128/250.87.255.129 to 0.87.255.2540.87.255.255126

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses